Bug 98238 - printconf hangs with expat error
Summary: printconf hangs with expat error
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-printer (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-06-28 20:05 UTC by sean
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 20:17:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stdout from printconf-tui --Xexport (9.59 KB, text/plain)
2003-06-29 15:44 UTC, sean
no flags Details

Description sean 2003-06-28 20:05:44 UTC
Description of problem:
Menu->System Settings->Printing hangs when you click edit or new.

From the command line:

 printconf-gui
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 552, in edit_button_clicked
    self.use_foomatic ()
  File "/usr/share/printconf/util/queueTree.py", line 462, in use_foomatic
    self.conf.foomatic_init_overview ()
  File "/usr/share/printconf/util/printconf_conf.py", line 1554, in
foomatic_init_overview
    root = parser.parse (foo)
  File
"/usr/src/build/273651-i386/install/usr/lib/python2.2/site-packages/_xmlplus/utils/qp_xml.py",
line 134, in parse
xml.parsers.expat.ExpatError: unclosed token: line 2165, column 2




Version-Release number of selected component (if applicable):
I updated to all the rawhide stuff:

python-2.2.3-3
redhat-config-printer-0.6.64-1
PyXML-0.8.2-1
expat-1.95.5-3

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2003-06-29 08:21:22 UTC
Please provide the output of printconf-tui --Xexport.

Comment 2 sean 2003-06-29 15:44:43 UTC
Created attachment 92681 [details]
stdout from printconf-tui  --Xexport

Here's the output from 

printconf-tui --Xexport > printconf-tui_--Xexport.out

FWIW, the other buttons work fine. That is, it will print a test page for me.

I've also gone back to:

redhat-config-printer-0.6.61-1
PyXML-0.7.1-10

Same problem.

Thanks for any help.

jay

Comment 3 Tim Waugh 2003-07-07 12:01:03 UTC
What version of foomatic do you have?

Comment 4 sean 2003-07-10 17:19:16 UTC
foomatic-3.0.0-6

jay

Comment 5 Tim Waugh 2003-07-11 09:41:23 UTC
How about Omni and Omni-foomatic?  Which versions of those?

Comment 6 Tim Waugh 2003-07-25 08:31:19 UTC
Which versions of Omni and Omni-foomatic do you have?

Comment 7 Chris Ricker 2003-10-22 19:04:44 UTC
I'm at least not seeing this on newer severn / rawhide. Closable?


Note You need to log in before you can comment on or make changes to this bug.